Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.dist
Class DistPastryNode.ProcessingQueue

    java.lang.Object
      rice.pastry.dist.DistPastryNode.ProcessingQueue

Enclosing class:
  DistPastryNode

public static class DistPastryNode.ProcessingQueue
extends java.lang.Object

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings,v 1.3 2005/03/11 20:22:33 jeffh Exp $
Author:
  jeffh

Constructor Summary
`DistPastryNode.ProcessingQueue()` Constructor for ProcessingQueue.
`DistPastryNode.ProcessingQueue(int capacity)` Constructor for ProcessingQueue.

Method Summary
`rice.pastry.dist.DistPastryNode.ProcessingRequest` | `dequeue()` DESCRIBE THE METHOD
`void` | `enqueue(rice.pastry.dist.DistPastryNode.ProcessingRequest request)` DESCRIBE THE METHOD
`int` | `getLength()` Gets the Length attribute of the ProcessingQueue object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DistPastryNode.ProcessingQueue

    public DistPastryNode.ProcessingQueue()

  Constructor for ProcessingQueue.

### DistPastryNode.ProcessingQueue

    public DistPastryNode.ProcessingQueue(int capacity)

  Constructor for ProcessingQueue.

Parameters:
  `capacity` - DESCRIBE THE PARAMETER

Method Detail

### getLength

    public int getLength()

  Gets the Length attribute of the ProcessingQueue object

  Returns:
    The Length value

### enqueue

    public void enqueue(rice.pastry.dist.DistPastryNode.ProcessingRequest request)

  DESCRIBE THE METHOD

  Parameters:
    `request` - DESCRIBE THE PARAMETER

### dequeue

    public rice.pastry.dist.DistPastryNode.ProcessingRequest dequeue()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.